Bug 1349539 - T460[p/s] audio output on dock won't work
Summary: T460[p/s] audio output on dock won't work
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jaroslav Kysela
QA Contact: Ken Benoit
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1274397
TreeView+ depends on / blocked
 
Reported: 2016-06-23 16:02 UTC by Tomas Pelka
Modified: 2016-11-03 16:44 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-03 16:44:07 UTC


Attachments (Terms of Use)
alsa-info (36.84 KB, text/plain)
2016-06-24 12:40 UTC, Martin Krajnak
no flags Details
correct-alsainfo (34.72 KB, text/plain)
2016-06-24 12:46 UTC, Martin Krajnak
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2574 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2016-11-03 12:06:10 UTC

Description Tomas Pelka 2016-06-23 16:02:52 UTC
Description of problem:
audio output works on laptop but not on its dock

tried to enable all muted outputs via alsamixed, but did not help

Version-Release number of selected component (if applicable):
kernel-3.10.0-449.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
http://www.alsa-project.org/db/?f=2ad718a1fa580861f247744d128a44510326d610

Comment 2 Jaroslav Kysela 2016-06-23 18:57:20 UTC
Could you try to add 'model=tpt460' for the snd-hda-intel module?

  echo "options snd-hda-intel model=tpt460" > /etc/modprobe.d/alsatest.conf

  .... and reboot

Comment 3 Martin Krajnak 2016-06-24 12:28:08 UTC
I can confirm, that after executing 

  echo "options snd-hda-intel model=tpt460" > /etc/modprobe.d/alsatest.conf

and rebooting audio works both from laptop and dock.

Will this works also on t460s ?

Comment 4 Jaroslav Kysela 2016-06-24 12:30:40 UTC
Please, attach 'alsa-info.sh --no-upload' output for t460s, but probably, yes, it should work also for T460s.

Comment 5 Martin Krajnak 2016-06-24 12:40 UTC
Created attachment 1171955 [details]
alsa-info

Comment 6 Martin Krajnak 2016-06-24 12:46 UTC
Created attachment 1171956 [details]
correct-alsainfo

Sorry, I provided file from incorrect laptop, here is log from t460s.

Command which fixed T460p does not work with T460s. Sounds from both laptop and dock are playing too quietly even on maximum volume

Comment 7 Jaroslav Kysela 2016-06-24 13:04:06 UTC
From alsa-info: 'Subsystem Id: 0x17aa2233' . This ID is already in the latest RHEL 7.3 audio driver and it defaults to 'model=tpt460', I see some I/O errors in the alsa-info output. 

I think that you hit issue in bug#1285520 . Could you test the kernel from comment 12 in this bug?

The T560p has: 'Subsystem Id: 0x17aa5050' .

Comment 8 Martin Krajnak 2016-06-24 14:04:35 UTC
We were able to make the sound work via alsamixer. For unknown reason the headphone output is muted right after the jack is connected to laptop or dock. After that sound volume can be increased only via alsamixer and sound works.

When I try to control the sound via tray slider or keyboard shortcut the headphone output immediately muted back.

Comment 9 Martin Krajnak 2016-06-24 14:20:36 UTC
(In reply to Jaroslav Kysela from comment #7)
> From alsa-info: 'Subsystem Id: 0x17aa2233' . This ID is already in the
> latest RHEL 7.3 audio driver and it defaults to 'model=tpt460', I see some
> I/O errors in the alsa-info output. 
> 
> I think that you hit issue in bug#1285520 . Could you test the kernel from
> comment 12 in this bug?
> 
> The T560p has: 'Subsystem Id: 0x17aa5050' .

Sound work as expected with this kernel.

Comment 10 Michael Boisvert 2016-06-28 18:16:42 UTC
Found a similar issue on an X1 Carbon. Sound wouldn't come out of the headphone jack. The test kernel from comment 7 fixed the problem.

Comment 12 Rafael Aquini 2016-07-07 16:56:44 UTC
Patch(es) committed on kernel repository and an interim kernel build is undergoing testing

Comment 14 Rafael Aquini 2016-07-08 14:42:10 UTC
Patch(es) available on kernel-3.10.0-462.el7

Comment 16 Ken Benoit 2016-08-30 16:05:48 UTC
Tested against a T460p with RHEL-7.3-20160829.n.0 installed. Audio output is working through the headphone jack on the dock without issue. Unfortunately I do not have a T460s to test against as well. Marking as verified.

Comment 18 errata-xmlrpc 2016-11-03 16:44:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2574.html


Note You need to log in before you can comment on or make changes to this bug.